Update a vehicle
curl --request PUT \
--url https://api.raul.ugps.io/api/v1/vehicle/update/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"model": "<string>",
"make": "<string>",
"color": "<string>",
"dv": "<string>",
"engine": "<string>",
"chassis": "<string>",
"gas_type": "<string>",
"license_plate": "<string>",
"plate": "<string>",
"year": {},
"type_id": {},
"kilometers": {}
}
'import requests
url = "https://api.raul.ugps.io/api/v1/vehicle/update/{id}"
payload = {
"name": "<string>",
"model": "<string>",
"make": "<string>",
"color": "<string>",
"dv": "<string>",
"engine": "<string>",
"chassis": "<string>",
"gas_type": "<string>",
"license_plate": "<string>",
"plate": "<string>",
"year": {},
"type_id": {},
"kilometers": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
model: '<string>',
make: '<string>',
color: '<string>',
dv: '<string>',
engine: '<string>',
chassis: '<string>',
gas_type: '<string>',
license_plate: '<string>',
plate: '<string>',
year: {},
type_id: {},
kilometers: {}
})
};
fetch('https://api.raul.ugps.io/api/v1/vehicle/update/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Vehicle/Asset
Update a vehicle
Operacion: Update a vehicle.
PUT
/
api
/
v1
/
vehicle
/
update
/
{id}
Update a vehicle
Authorizations
Token de sesión Better Auth para rutas de backoffice; las rutas de portal usan su token propio.
Path Parameters
Vehicle UUID
Body
application/json
Nombre visible del vehiculo
Modelo del vehiculo
Marca del vehiculo
Color del vehiculo
Digito verificador
Motor del vehiculo
Chasis del vehiculo
Tipo de combustible
Patente del vehiculo
Alias legado para patente
Ano del vehiculo
ID del tipo de vehiculo
Kilometraje del vehiculo
Response
200
Vehicle updated